Module jdk.compiler
Package com.sun.source.tree

## Interface InstanceOfTree

All Superinterfaces:
  `ExpressionTree`, `Tree`

    public interface InstanceOfTree
    extends ExpressionTree

A tree node for an `instanceof` expression. For example:

       expression instanceof type

Since:
  1.6
See The Java™ Language Specification:
  section 15.20.2

### Nested Class Summary

### Nested classes/interfaces declared in interface com.sun.source.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`ExpressionTree` `getExpression()` Returns the expression to be tested.
`Tree` `getType()` Returns the type for which to check.

### Methods declared in interface com.sun.source.tree.Tree

`accept, getKind`

### Method Detail

#### getExpression

    ExpressionTree getExpression()

Returns the expression to be tested.

Returns:
  the expression

#### getType

    Tree getType()

Returns the type for which to check.

Returns:
  the type